Skip to main content
Resource Center/Hardware/Primary Storage Operations/Ceph Primary Storage Operations
POSTCeph Primary Storage OperationsSince 0.6SynchronousAuth Required

AddCephPrimaryStoragePool

AddCephPrimaryStoragePool

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • primaryStorageUuidStringRequired

    The UUID of the Ceph primary storage.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • poolNameStringRequired

      池名称。

    • aliasNameString

      Optional.

    • descriptionString

      Optional. The detailed description of the resource.

    • isCreateboolean

      Optional. Creates an extension pool.

    • typeStringRequired

      The type of the Ceph primary storage pool.

    • resourceUuidString

      Optional.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The short description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryCephPrimaryStoragePoolInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • primaryStorageUuidStringRequired

      The UUID of the Ceph primary storage.

    • poolNameStringRequired

      池名称。

    • aliasNameStringRequired

      No description provided.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • typeStringRequired

      类型。

    • availableCapacityLongRequired

      可用容量。

    • usedCapacityLongRequired

      已使用容量。

    • replicatedSizeIntegerRequired

      No description provided.

Endpoint

POST/zstack/v1/primary-storage/ceph/{primaryStorageUuid}/pools

/zstack/v1/primary-storage/ceph/{primaryStorageUuid}/pools

Operation ID

AddCephPrimaryStoragePool

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/primary-storage/ceph/{primaryStorageUuid}/pools' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"poolName":"<poolName>","aliasName":"<aliasName>","description":"<description>","isCreate":true,"type":"<type>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "97ac9dc5fc223f80918747a8a398478b", "primaryStorageUuid": "82b127a3f6cc3ec7bd7ff01069310099", "poolName": "pool name", "aliasName": "alias name", "description": "description", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "type": "Data" } }

Change History

This API has no change history records yet.

View all change history